Bug 1280422 - Review Request: rpg - RPM Package Generator
Review Request: rpg - RPM Package Generator
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-11 12:25 EST by Honza Silhan
Modified: 2017-12-07 19:05 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Honza Silhan 2015-11-11 12:25:16 EST
Spec URL: https://jsilhan.fedorapeople.org/rpg.spec

SRPM URL: https://jsilhan.fedorapeople.org/rpg-0.0.4-1.git.20.4b321ab.fc22.src.rpm

Description: RPG [1] is tool, that guides people through the creation of a RPM package. RPG makes packaging much easier due to the automatic analysis of packaged files. Beginners can get familiar with packaging process or the advanced users can use our tool for a quick creation of a package.

Fedora Account System Username: jsilhan

I am one of the upstream developers. I don't need a sponsor - I am already in a package group. The package is build fine in COPR repository [2].

[1] https://github.com/rh-lab-q/rpg
[2] https://copr.fedoraproject.org/coprs/nightly/rpg/builds/
Comment 1 Raphael Groner 2015-11-13 12:40:47 EST
Your links are b0rken. Please provide a link to a valid spec file in raw format, any html around it is of no usage here.
Comment 3 Gwyn Ciesla 2015-11-20 09:37:15 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpg
Comment 4 Kevin Fenzi 2015-11-28 16:55:57 EST
I see no review here at all, and the package is not approved. 

Please do not import it or build it until it's been reviewed.
Comment 5 Till Maas 2015-11-28 17:01:42 EST
It looks like this package was created without the review being finished by accident. Therefore I retired it in Fedora. There needs to be a review done as described in:
https://fedoraproject.org/wiki/Package_Review_Process
Comment 6 Ranjan Maitra 2015-12-02 12:42:19 EST
Does this package still need a review?
Comment 7 Kevin Fenzi 2015-12-02 13:25:35 EST
Yes. It's unassigned, and the fedora-review flag isn't set. So, it does need review.
Comment 8 Ranjan Maitra 2015-12-11 20:03:33 EST
I tried using fedora-review tool on this, but it appears that there two src.rpms therefore there is a conflict.

$ fedora-review -m  fedora-rawhide-x86_64 -b 1280422
....
ERROR: Expected to find single rebuilt srpm, found 2.
Comment 9 Honza Silhan 2015-12-14 12:18:02 EST
links from comment 0 are invalidated now. Try it again, please.
Comment 10 Ranjan Maitra 2015-12-14 22:51:58 EST
(In reply to Jan Silhan from comment #9)
> links from comment 0 are invalidated now. Try it again, please.

Great, thanks! But: I now get:


$ fedora-review -m  fedora-rawhide-x86_64 -b 1280422
INFO: Processing bugzilla bug: 1280422
INFO: Getting .spec and .srpm Urls from : 1280422
INFO:   --> SRPM url: https://copr-be.cloud.fedoraproject.org/results/nightly/rpg/fedora-22-x86_64/00129295-rpg/rpg-0.0.4-1.git.20.4b321ab.fc22.src.rpm
INFO:   --> Spec url: https://raw.githubusercontent.com/rh-lab-q/rpg/4b321abe5942dd653f7269a6716f0134cfefdb3d/rpg.spec
INFO: Using review directory: /home/maitra/Downloads/mock/1280422-rpg
INFO: Downloading .spec and .srpm files
INFO: No upstream for (Source0): rpg-0.0.4.tar.gz
INFO: Running checks and generating report
ERROR: Exception(/home/maitra/Downloads/mock/1280422-rpg/srpm/rpg-0.0.4-1.git.20.4b321ab.fc22.src.rpm) Config(fedora-rawhide-x86_64) 0 minutes 7 seconds
INFO: Results and/or logs in: /home/maitra/Downloads/mock/1280422-rpg/results
ERROR: Command failed. See logs for output.


Btw, is it ok that your spec file requires python3-rpg? I don't see how this should be got.
Comment 11 Honza Silhan 2016-02-04 08:38:49 EST
I am sorry for delay. Rawhide build fixed and I am providing new links. I am not sure whether the `-b` option in fedora-review will work. Link to spec in comment 2 cannot be invalidated.

Spec URL: https://raw.githubusercontent.com/rh-lab-q/rpg/263cc773c25e7ff51271a7b6c4f921aa82de8279/rpg.spec

SRPM URL: https://copr-be.cloud.fedoraproject.org/results/nightly/rpg/fedora-rawhide-x86_64/00157917-rpg/rpg-0.0.5-1.git.4.263cc77.fc24.src.rpm


(In reply to Ranjan Maitra from comment #10)
> Btw, is it ok that your spec file requires python3-rpg? I don't see how this
> should be got.

yes, python3-rpg is a subpackage (library) and rpg is the GUI application using this library.
Comment 12 Ranjan Maitra 2016-02-08 11:40:41 EST
(In reply to Jan Silhan from comment #11)
> I am sorry for delay. Rawhide build fixed and I am providing new links. I am
> not sure whether the `-b` option in fedora-review will work. Link to spec in
> comment 2 cannot be invalidated.
> 
> Spec URL:
> https://raw.githubusercontent.com/rh-lab-q/rpg/
> 263cc773c25e7ff51271a7b6c4f921aa82de8279/rpg.spec
> 
> SRPM URL:
> https://copr-be.cloud.fedoraproject.org/results/nightly/rpg/fedora-rawhide-
> x86_64/00157917-rpg/rpg-0.0.5-1.git.4.263cc77.fc24.src.rpm
> 

Does this even build? As per fedora-review, using command:

fedora-review -m  fedora-rawhide-x86_64 -b 1280422

.....
INFO: Downloading .spec and .srpm files
INFO: No upstream for (Source0): rpg-0.0.5.tar.gz
INFO: Running checks and generating report
....
ERROR: Exception(/home/mock/Downloads/mock/1280422-rpg/srpm/rpg-0.0.5-1.git.4.263cc77.fc24.src.rpm) Config(fedora-rawhide-x86_64) 0 minutes 0 seconds
INFO: Results and/or logs in: /home/mock/Downloads/mock/1280422-rpg/results
ERROR: Command failed. See logs for output.

Please try fedora-review on your package before uploading to save everyone some  time.
Comment 13 Zbigniew Jędrzejewski-Szmek 2016-02-08 12:47:30 EST
Ranjan, using fedora-review is optional. The package builds fine in mock, and the error you're seeing is most likely caused by a local issue on your end, e.g. mock confused by a bad mirror. You should try to build the package using mock directly, it'll give you more informative messages. But it's not something that the package submitter can do for you.

OTOH, "No upstream for (Source0): rpg-0.0.5.tar.gz" is a valid complains. A full URL should be used.
Comment 14 Ranjan Maitra 2016-02-08 17:42:10 EST
> OTOH, "No upstream for (Source0): rpg-0.0.5.tar.gz" is a valid complains. A
> full URL should be used.

But does this not have to be fixed for the package building to proceed? That is my point.
Comment 15 Zbigniew Jędrzejewski-Szmek 2016-02-08 19:49:46 EST
The sources are contained in the SRPM, and this is enough to build packages. After the package is approved and imported into dist git, when building in koji the sources are downloaded from the lookaside cache. Either way, this line specifies the place that the sources originally came from, but is not used when building.
Comment 17 Sergio Monteiro Basto 2016-07-30 22:11:34 EDT
(In reply to Pavol Vican from comment #16)
> It should be fixed.
> 
> Spec URL: https://raw.githubusercontent.com/rh-lab-q/rpg/master/rpg.spec
> 
> SRPM URL:
> https://copr-be.cloud.fedoraproject.org/results/nightly/rpg/fedora-rawhide-
> x86_64/00162843-rpg/rpg-0.0.5-1.git.6.986013d.fc24.src.rpm

Spec URL: https://sergiomb.fedorapeople.org/rpg/rpg.spec 
SRPM URL: https://sergiomb.fedorapeople.org/rpg/rpg-0.0.5-1.1.fc23.src.rpm

I added this patch : 
https://sergiomb.fedorapeople.org/rpg/rpg.spec.patch
Comment 18 Sergio Monteiro Basto 2016-07-30 22:41:04 EDT
build fails [1] in F24 and rawhide , but builds on F23 !?!

[1]
[100%] Building manpage documentation
cd /builddir/build/BUILD/rpg-rpg-0.0.5-1/doc && PYTHONPATH=/builddir/build/BUILD/rpg-rpg-0.0.5-1 sphinx-build-3 -b man /builddir/build/BUILD/rpg-rpg-0.0.5-1/doc /builddir/build/BUILD/rpg-rpg-0.0.5-1/doc
Error: source directory and destination directory are same.
doc/CMakeFiles/doc-man.dir/build.make:60: recipe for target 'doc/CMakeFiles/doc-man' failed

Note You need to log in before you can comment on or make changes to this bug.